Bug 1287654 - CVE-2015-8388 pcre: Buffer overflow caused by certain patterns with an unmatched closing parenthesis (8.38/18)
CVE-2015-8388 pcre: Buffer overflow caused by certain patterns with an unmatc...
Status: CLOSED DUPLICATE of bug 1237223
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151123,repor...
: Security
Depends On: 1237224 1287655 1287656 1287657 1287658
Blocks: 1287727
  Show dependency treegraph
 
Reported: 2015-12-02 08:35 EST by Adam Mariš
Modified: 2016-04-26 15:53 EDT (History)
16 users (show)

See Also:
Fixed In Version: pcre 8.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-19 15:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-12-02 08:35:04 EST
It was discovered that PCRE before 8.38 mishandles the /(?=di(?<=(?1))|(?=(.))))/ pattern and related patterns with an unmatched closing parenthesis that contained a backward assertion which itself contained a forward reference, which allows remote attackers to cause a denial of service (buffer overflow) or possibly have unspecified other impact via a crafted regular expression.
Comment 1 Adam Mariš 2015-12-02 08:35:57 EST
Created pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287655]
Comment 2 Adam Mariš 2015-12-02 08:36:06 EST
Created glib2 tracking bugs for this issue:

Affects: fedora-all [bug 1287657]
Comment 3 Adam Mariš 2015-12-02 08:36:15 EST
Created mingw-pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287656]
Affects: epel-7 [bug 1287658]
Comment 4 Adam Mariš 2015-12-02 10:23:53 EST
Corresponds to item 18 in http://vcs.pcre.org/pcre/code/trunk/ChangeLog?view=markup
Comment 5 Petr Pisar 2015-12-02 10:59:56 EST
Fixed in upstream with:

commit 764692f9aea9eab50fdba6cb537441d8b34c6c37
Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
Date:   Tue Jun 23 16:34:53 2015 +0000

    Fix buffer overflow for forward reference within backward assertion with exc
ess
    closing parenthesis. Bugzilla 1651.
    
    
    git-svn-id: svn://vcs.exim.org/pcre/code/trunk@1571 2f5784b3-3f2a-0410-8824-
cb99058d5e15
Comment 6 Salvatore Bonaccorso 2015-12-02 16:40:38 EST
Is this CVE a duplicate of CVE-2015-5073?
Comment 7 Petr Pisar 2015-12-03 09:13:33 EST
I think it is.
Comment 8 Tomas Hoger 2016-02-19 15:38:38 EST

*** This bug has been marked as a duplicate of bug 1237223 ***

Note You need to log in before you can comment on or make changes to this bug.